body {
  height: 100vh;
  width: 100vw;
  background-color: #fcfcfc;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0;
}

nav {
  font-family: "Figtree", sans-serif;
  font-weight: 300;
  font-size: 1.5vw;
  width: 100%;
  margin-top: 50px;
  display: flex;
  justify-content: flex-end;
}

input {
  font-family: "Figtree", sans-serif;
  font-weight: 300;
  font-size: 18px;
  height: 30px;
  margin-bottom: 24px;
  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

input:focus {
  outline: none !important;
  border: 1.5px solid #477cde;
  box-shadow: rgba(0, 0, 0, 0.08) 0px 4px 12px;
}

label {
  margin-top: 10px;
  margin-bottom: 10px;
  font-family: "Figtree", sans-serif;
}

input:checked {
  color: #477cde;
}

h1 {
  font-family: "Figtree", sans-serif;
  font-weight: 400;
  font-size: 5.5vw;
  margin-top: 50px;
  margin-bottom: 50px;
}

h2 {
  font-family: "Figtree", sans-serif;
  font-weight: 600;
  margin-top: 0;
  margin-bottom: 15px;
  font-size: 32px;
}

footer {
  font-family: "Figtree", sans-serif;
  font-weight: 300;
  font-size: 18px;
  width: 100%;
  margin-top: 30px;
  bottom: 15px;
  text-align: center;
}

.dropdown {
  position: relative;
  display: inline-block;
}

.rotate {
  transform: rotate(-180deg);
}

/* Hiding class, making content visible only to screen readers but not visually */
/* "sr" meaning "screen-reader" */
.sr-only:not(:focus):not(:active) {
  clip: rect(0 0 0 0);
  clip-path: inset(50%);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}

#btn-group {
  margin-right: 80px;
  border: none;
  background-color: #fbfbfb;
  display: flex;
  align-items: center;
  gap: 4px;
}

#btn-group-shop {
  height: 50px;
  width: 50px;
}

#btn-group-caret {
  height: 18px;
  width: 18px;
  margin-top: 10px;
  transition: 0.5s;
}

#dropdown-sign_in {
  font-family: "Figtree", sans-serif;
  font-size: 20px;
  font-weight: 300;
  z-index: 1;
  width: 350px;
  padding: 21.5px;
  background-color: #fcfcfc;
  border-radius: 5px;
  box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px,
    rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
  display: flex;
  flex-direction: column;
  position: absolute;
  overflow: auto;
  margin-top: 13px;
  right: 85px;
}

#container-message {
  padding-bottom: 10px;
}

#message {
  background-color: #fec4c6;
  color: black;
  margin-top: 10px;
  margin-bottom: 15px;
  font-size: 18px;
  font-weight: 400;
  transition: 0.75s;
}

#remember_me {
  display: flex;
  justify-content: flex-end;
  gap: 5px;
}

#checkbox-remember_me {
  height: 25px;
  width: 25px;
}

#label-remember_me {
  font-size: 18px;
  margin-top: 5px;
}

#btn-sign_in {
  font-family: "Figtree", sans-serif;
  font-weight: 350;
  font-size: 20px;
  background-color: #487ddf;
  color: white;
  border: none;
  border-radius: 5px;
  padding: 15px 25px;
  margin-bottom: 0px;
  transition: 0.1s ease-in-out;
}

#btn-sign_in:active {
  transform: scale(0.98);
  box-shadow: 3px 2px 10px 1px rgba(0, 0, 0, 0.1);
}

#btn-sign_in:hover {
  background-color: #3864d6;
}

#btn-sign_in:focus {
  background-color: #3864d6;
}

#map {
  height: 600px;
  width: 100%;
  /* position: relative; */
}

/* Large display */
@media (max-width: 1000px) {
  #btn-group-shop {
    height: 40px;
    width: 40px;
  }

  #btn-group-caret {
    height: 16px;
    width: 16px;
  }
}

/* Tablet */
@media (max-width: 800px) {
  h2 {
    font-size: 28px;
  }

  #btn-group {
    margin-right: 40px;
  }

  #dropdown-sign_in {
    right: 45px;
  }
}

/* Small device */
@media (max-width: 450px) {
  h1 {
    font-size: 6.5vw;
  }

  h2 {
    font-size: 26px;
  }

  footer > p {
    font-size: 3vw;
  }

  #btn-group {
    margin-right: 10px;
  }

  #btn-group-shop {
    height: 25px;
    width: 25px;
  }

  #btn-group-caret {
    height: 10px;
    width: 10px;
  }

  #dropdown-sign_in {
    width: 300px;
    font-size: 16px;
    font-weight: 300;
    margin-top: 13px;
    right: 15px;
  }

  #label-remember_me {
    font-size: 14px;
    margin-top: 7px;
  }

  #btn-sign_in {
    font-size: 16px;
  }
}
